Introducing the all-new TIBCO Community site!

For current users, please click "Sign In" to reset your password and access the enhanced features. If you're a first-time visitor, we extend a warm welcome—click "Sign Up" to become a part of the TIBCO Community!

If you're seeking alternative community sites, explore ibi, Jaspersoft, and Spotfire.

Jump to content
  • TIBCO Security Advisory: September 13, 2011 - TIBCO® Managed FileTransfer


    admin

    TIBCO® Managed File Transfer vulnerability

    Original release date: Sep 13, 2011
    Last revised:--
    CVE-2011-3423, CVE-2011-3424
    Source: TIBCO SoftwareInc.



    TIBCO Managed File Transfer vulnerability

    Original release date: Sep 13, 2011
    Last revised: --
    Source: TIBCO Software Inc.


    Systems Affected

    TIBCO Managed File Transfer Internet Server 7.1.0 and earlier
    TIBCO Managed File Transfer Command Center 7.1.0 and earlier
    TIBCO Slingshot 1.8.0 and earlier

    The following components are affected:

    * TIBCO Managed File Transfer server
    * TIBCO Slingshot server


    Description

    The TIBCO Managed File Transfer and Slingshot servers contain critical
    defects in the processing of inbound HTTP requests:

    CVE-2011-3423 - A cross-site scripting vulnerability exists which
    may allow an attacker to view or modify information.

    CVE-2011-3424 - A session fixation vulnerability exists which may allow
    an attacker to hijack a web session from another user.

    TIBCO has released updated versions of the affected software products
    which address these issues. TIBCO strongly recommends sites running the
    affected components install the applicable update or take corrective
    action as described below.


    Impact

    The impact of these vulnerabilities may include information modification,
    information disclosure, and denial of service.


    Solution

    For each affected system, update to the corresponding software versions:

    TIBCO Managed File Transfer Internet Server 7.1.1 or later
    TIBCO Managed File Transfer Command Center 7.1.1 or later
    TIBCO Slingshot 1.8.1 or later

    This is strongly recommended.

    If an upgrade is not possible, the following actions can mitigate the
    vulnerability:

    * Utilize a firewall to restrict access to the TIBCO Managed File
    Transfer and Slingshot servers.


    References

    http://www.tibco.com/mk/advisory.jsp
    CVE: CVE-2011-3423, CVE-2011-3424

    The information on this page is being provided to you on an"AS IS" and "AS-AVAILABLE" basis. The issues described on this page may or may not impact your system(s). TIBCO makes no representations, warranties, or guarantees as to the information contained herein.ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE ARE HEREBY DISCLAIMED.BY ACCESSING THIS DOCUMENT YOU ACKNOWLEDGE THAT TIBCO SHALL IN NO EVENT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, PUNITIVE, OR CONSEQUENTIAL DAMAGES THAT ARISE OUT OF YOUR USE OR FAILURE TO USE THE INFORMATIONCONTAINED HEREIN. The information on this page is being provided to you under the terms of your license and/or services agreement with TIBCO, and may be used only for the purposes contemplated by the agreement. If you donot have such an agreement with TIBCO, this information is provided under the TIBCO.com Terms of Use, and may be used only for the purposes contemplated by such Terms ofUse.



×
×
  • Create New...